<lib-condensed-header-layout
  *transloco="let t"
  [pageTitle]="t('feature_events.dashboard.main_title')"
  [settingsPageRoute]="'./settings'"
  [useMaximumBackground]="true"
  class="ion-page"
>
  <lib-refresher (ionRefresh)="doRefresh($event)"></lib-refresher>

  <ion-grid class="ion-no-padding flex-list-feed-section" id="mainEvents">
    @if (!displayConnectivityError) {
      <lib-event-filter
        (filterChanged)="onFilterChanged($event)"
      ></lib-event-filter>
    }

    <ion-col
      *ngIf="displayNoInterestsSelectedError || displayConnectivityError"
      class="flex-list-feed-items"
    >
      <lib-no-interests-selected-card
        [show]="displayNoInterestsSelectedError"
      ></lib-no-interests-selected-card>
      <lib-connectivity-error-handling-card
        [show]="displayConnectivityError"
        [title]="t('feature_events.connectivity-error.title_dashboard')"
      ></lib-connectivity-error-handling-card>
      <lib-update-notifier></lib-update-notifier>
    </ion-col>

    <lib-event-bookmarked-section
      *ngIf="feedItemsBookmarked && feedItemsBookmarked.length > 0"
      [contentLoadingComplete]="contentLoadingComplete"
      [feedItemsBookmarked]="feedItemsBookmarked"
    ></lib-event-bookmarked-section>

    <lib-event-your-interest-section
      (feedItemsChange)="feedItemsInterests = $event"
      *ngIf="feedItemsInterests && feedItemsInterests.length > 0"
      [contentLoadingComplete]="contentLoadingComplete"
      [currentPageIndex]="currentPageIndex"
      [endDate]="endDate"
      [feedItemsInterests]="feedItemsInterests"
      [moreContentAvailable]="moreContentAvailable"
      [startDate]="startDate"
    ></lib-event-your-interest-section>
  </ion-grid>
</lib-condensed-header-layout>
